summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorningwei1993 <ningwei1993@icloud.com>2018-05-07 06:39:28 +0800
committerMarc Cornellà <marc.cornella@live.com>2018-05-07 00:39:28 +0200
commit8f0ff4bb63a8fd26741128a851c224af323eb772 (patch)
tree7864687eb2076a1feb2390d1042e7d0abfb4939f
parentc4981bae0a91ce6d4b0717558342584cc6491199 (diff)
downloadzsh-8f0ff4bb63a8fd26741128a851c224af323eb772.tar.gz
zsh-8f0ff4bb63a8fd26741128a851c224af323eb772.tar.bz2
zsh-8f0ff4bb63a8fd26741128a851c224af323eb772.zip
fix bug for check zsh (#6798)
-rwxr-xr-xtools/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 1a0a8e6db..ad47df785 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -24,7 +24,7 @@ main() {
# which may fail on systems lacking tput or terminfo
set -e
- if command -v zsh >/dev/null 2>&1; then
+ if ! command -v zsh >/dev/null 2>&1; then
printf "${YELLOW}Zsh is not installed!${NORMAL} Please install zsh first!\n"
exit
fi